Bug 55945 - [Qt] MemoryCache deadDecodedDataDeletionInterval is not exposed for client's usage
Summary: [Qt] MemoryCache deadDecodedDataDeletionInterval is not exposed for client's ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P3 Enhancement
Assignee: Stanislav Paltis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-08 09:14 PST by Stanislav Paltis
Modified: 2011-03-11 12:40 PST (History)
4 users (show)

See Also:


Attachments
patch for review (1.57 KB, patch)
2011-03-08 10:10 PST, Stanislav Paltis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Paltis 2011-03-08 09:14:08 PST
There is no easy way to set deadDecodedDataDeletionInterval (of MemoryCache.h) as it is not exposed/exported in QtWebkit API. One way would be to add it to QWebSettings or use dynamic property. I implemented dynamic property _q_deadDecodedDataDeletionInterval . 

That interval is used to trigger when decoded data in dead list of object cache will be purged from cache.
Comment 1 Stanislav Paltis 2011-03-08 10:10:17 PST
Created attachment 85057 [details]
patch for review
Comment 2 Laszlo Gombos 2011-03-08 14:30:08 PST
Comment on attachment 85057 [details]
patch for review

r=me.
Comment 3 WebKit Commit Bot 2011-03-08 23:48:08 PST
Comment on attachment 85057 [details]
patch for review

Rejecting attachment 85057 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-4', 'apply-..." exit_code: 1

Last 500 characters of output:
rks/Python.framework/Versions/2.6/lib/python2.6/urllib2.py", line 361, in _call_chain
    result = func(*args)
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mechanize/_http.py", line 756, in https_open
    return self.do_open(conn_factory, req)
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mechanize/_http.py", line 706, in do_open
    raise URLError(err)
urllib2.URLError: <urlopen error [Errno 60] Operation timed out>

Full output: http://queues.webkit.org/results/8110593
Comment 4 Laszlo Gombos 2011-03-09 07:11:54 PST
Comment on attachment 85057 [details]
patch for review

Try again.
Comment 5 Eric Seidel 2011-03-09 08:59:48 PST
Odd.  Looks like the cq failed to talk to bugzilla.  We could definitely handle that better.
Comment 6 WebKit Commit Bot 2011-03-10 15:10:33 PST
The commit-queue encountered the following flaky tests while processing attachment 85057 [details]:

fast/text/large-text-composed-char-dos.html bug 56146 (author: koivisto@iki.fi)
The commit-queue is continuing to process your patch.
Comment 7 WebKit Commit Bot 2011-03-10 15:11:05 PST
Comment on attachment 85057 [details]
patch for review

Clearing flags on attachment: 85057

Committed r80769: <http://trac.webkit.org/changeset/80769>
Comment 8 WebKit Commit Bot 2011-03-10 15:11:10 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Caio Marcelo de Oliveira Filho 2011-03-11 12:38:29 PST
Revision r80769 cherry-picked into qtwebkit-2.1.x with commit d8432cb562e5b4dd3ab7af1ad3a19b206d96c61e <http://gitorious.org/+qtwebkit-developers/webkit/qtwebkit/commit/d8432cb562e5b4dd3ab7af1ad3a19b206d96c61e>